Bug 1370062 - history userinstalled should not show NEVRA
Summary: history userinstalled should not show NEVRA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 26
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1379051 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-25 08:31 UTC by Igor Gnatenko
Modified: 2017-06-09 19:06 UTC (History)
10 users (show)

Fixed In Version: dnf-2.5.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:06:09 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2016-08-25 08:31:09 UTC
As written in documentation output can be used for kickstart file, but it doesn't work with NEVRAs.

So we need better solution:
* Show only one if installonlypkgs
* If at least one non-basearch package found - show arch (not sure if anaconda will work with that)
* If basearch and other arch is installed - show both
* If there are duoplicates - show only one (?)

Comment 1 Honza Silhan 2016-08-29 11:18:42 UTC
We can move "history userinstalled" with mentioned use cases into repoquery with new options introduced.

Comment 2 Igor Gnatenko 2016-09-26 11:12:48 UTC
*** Bug 1379051 has been marked as a duplicate of this bug. ***

Comment 3 Fedora End Of Life 2017-02-28 10:09:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Jaroslav Mracek 2017-05-18 09:00:09 UTC
I think that problem can be solved using "dnf repoquery --installonly" (dnf-2.5) where you can specified how many latest packages you want to show and also output format can be modified. I create PR that change documentation and recommends to use repoquery (https://github.com/rpm-software-management/dnf/pull/816).

Comment 5 Igor Gnatenko 2017-05-18 09:02:03 UTC
This was more about not showing nevra rather than removing kickstart reference from documentation....

Comment 6 Fedora Update System 2017-05-22 12:40:49 UTC
dnf-plugins-extras-2.0.1-1.fc26 dnf-plugins-core-2.1.0-1.fc26 libdnf-0.9.0-1.fc26 dnf-2.5.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 7 Fedora Update System 2017-05-22 16:40:03 UTC
dnf-2.5.0-1.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 8 Fedora Update System 2017-05-24 08:31:56 UTC
dnf-2.5.0-1.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.17-3.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 9 Fedora Update System 2017-05-24 14:33:06 UTC
dnf-2.5.0-2.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.18-1.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 10 Fedora Update System 2017-05-25 19:17:33 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 11 Daniel Mach 2017-05-31 11:22:07 UTC
The NEVRAs displayed in the output are not those I installed, which may confuse users (installed a NEVRA and updated to something else later).
My proposal is to print just names.

Comment 12 Daniel Mach 2017-06-07 11:23:13 UTC
The latest decision is to keep the patch as it is. Moving back on ON_QA.

Comment 13 Fedora Update System 2017-06-09 19:06:09 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.